body{
    margin-top: 20px;
    height: 100%;
    background-image: url("https://i.imgur.com/RnuqVt9.jpg");
    background-size: cover;
  }

.container{
  margin-right: 0;
  margin-left: 0;
  padding-left: 0;
  padding-right: 0;
  width: 100%;
}

/* Custom navbar style */
.navbar-static-top {
  margin-bottom: 19px;
}

.navbar-fixed-top{
  margin-left: 0px;
  margin-right: 0px;
  padding-left: 15px;
  padding-right: 15px;
}

.navbar-default .navbar-nav>li>a {
    cursor: pointer;
}

@-webkit-keyframes typing { from { width: 0; } }
@-webkit-keyframes blink-caret { 50% { border-color:transparent; } }

h1 { 
    font: bold 200% Ageng Sans, Monaco, monospace;
    /*border-right: 0.1em solid black;*/
    width: 10em; 
    width: 21ch;
    margin: 2em 1em;
    white-space: nowrap;
    overflow: hidden;
    /*-webkit-animation: typing 2s steps(21, end),
               blink-caret 1s alternate infinite ;*/
}
h2 { 
  font: bold 200% Ageng Sans, Monaco, monospace;
  /*border-right: 0.1em solid white;*/
  color: white;
  width: 10em; 
  width: 21ch;
  margin: 2em 1em;
  white-space: nowrap;
  overflow: hidden;
  /*-webkit-animation: typing 2s steps(21, end),
             blink-caret 1s alternate infinite ;*/
}

section{
  min-height: 450px;
  margin-left: none;
  margin-right: none;
}

footer p{
  text-align: center;
  padding-top: 10px;
}

@media only screen and (max-width: 768px) {
  #contact form {
      width: 290px;
  }
  .flex{
    display: flex;
    flex-direction: coloumn;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center;
    align-content: center;
    margin-right: 0px;
    margin-left: 0px;
    }
  .flex-item{
    padding: 0 15px;
    flex-grow: 1;
    flex-shrink: 0;
    flex-basis: 100%;
    }
  #contact-add form{
    width: 70%;
    margin: 50px auto;
    text-align: center;
    position: relative;
    z-index: 1;
    background: #c8e6fb;
    border: 0 none;
    border-radius: 10px;
    box-shadow: 0 0 75px 1px rgba(0, 0, 0, 0.4);
    padding: 10px 15px;
    box-sizing: border-box;
    position: relative;
    }
  }    

@media only screen and (min-width: 769px) {
  .flex{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: flex-start;
    align-content: flex-start;
    margin-right: 0px;
    margin-left: 0px;
    }
  .flex-item{
    padding: 0 15px;
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: 25%;
    }
  #contact-add form{
    width: 500px;
    margin: 50px auto;
    text-align: center;
    position: relative;
    z-index: 1;
    background: #c8e6fb;
    border: 0 none;
    border-radius: 10px;
    box-shadow: 0 0 75px 1px rgba(0, 0, 0, 0.4);
    padding: 20px 30px;
    box-sizing: border-box;
    position: relative;
    }
  }

#contact-add{
/*background: linear-gradient(141deg, #ffac00 0%, #dc5c05 100%);*/
  /*background-image: url("https://i.imgur.com/RnuqVt9.jpg");
  background-size: cover;*/
}



#contact-add form > h2{
  font-size: 1.3em;
  text-transform: uppercase;
  color: #c8e6fb;
  margin-bottom: 10px;
}

#contact-add form > .contact-form-input,#contact-add form > .contact-form-textarea{
  padding: 15px;
    border: 1px solid #ccc;
    border-radius: 3px;
    margin-bottom: 10px;
    width: 100%;
    box-sizing: border-box;
    color: #c8e6fb;
    font-size: 13px;  
}

#my-contact{
  /*background: linear-gradient(51deg, #878ee2 0%, #5b5dab 100%);
  background-size: cover; */
}

#my-contact .my-contact-title{
  font-size: 40px;
  margin-bottom: 1em;
  color: white;
  text-shadow: 3px 3px 0 #000, -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
  text-align: center;
}

.all-contact{
  text-align: center;
  background: #e6fbc8;
  position: relative;
  z-index: 15;
  margin-bottom: 60px;
  -webkit-box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.15);
  -moz-box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.15);
  -o-box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.15);
  box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.15);
  transition: 0.5s all;
  -webkit-transition: 0.5s all;
  -moz-transition: 0.5s all;
  -o-transition: 0.5s all;
}
.all-contact:hover{
  top: -5px;
  box-shadow : 0 5px 10px 0 rgba(0, 0, 0, 0.3);
}

.all-contact:after{
    content:"";
    display:block;
    height:25px; /* Which is the padding of div.container */
    background: #e6fbc8;
}

.all-contact .all-contact-name {
  font-size: 20px;
  font-weight: 700;
  color: grey;
  background: #fbddc8;
  padding: 10px 10px 10px;
}
.all-contact .all-contact-pic{
  border-radius: 50%;
  align-items: center;
  padding: 10px 0 10px;
}
.all-contact .all-contact-date-added {
  font-size: 12px;
  padding: 0 10px;
  background: #e6fbc8;
}
.all-contact .all-contact-heroku {
  padding: 10px 25px;
  font-size: 18px;
  z-index: 5;
  background: #e6fbc8;
  height: 100px;
  text-align: center;
  overflow: auto;
}
.all-contact .all-contact-delete {
  background: #505050;
  color: #fff;
  padding: 0px;
  font-size: 16px;
  width: 100%;
  height: 50px;
  bottom: 1px;
  left: 0 ;
  position: absolute;
  cursor: pointer;
  z-index: -1;
  -webkit-border-radius: 0 0px 2px 2px;
  -moz-border-radius: 0 0px 2px 2px;
  -o-border-radius: 0 0px 2px 2px;
  border-radius: 0 0px 2px 2px;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
}

.all-contact:hover .all-contact-delete {
  bottom: -50px;
  -webkit-box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.15);
  -moz-box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.15);
  -o-box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.15);
  box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.15);
} 
.all-contact .all-contact-delete:hover {
  font-size: 18px;
  background: #d11;
} 
